TooManySatisfiableMethodsException (Mule ESB 2.2.1 API)
Keywords: org.mule.model.resolvers.TooManySatisfiableMethodsException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class TooManySatisfiableMethodsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.model.resolvers.TooManySatisfiableMethodsException

All Implemented Interfaces:
  Serializable

    public class TooManySatisfiableMethodsException

extends MuleException

`TooManySatisfiableMethodsException` is thrown by EntryPointResolvers when the service passed has more than one method that meets the criteria of the configured EntryPointResolver.

See Also:
  `EntryPointResolver`, Serialized Form

Constructor Summary
`TooManySatisfiableMethodsException(Object component, Class returnType)`
`TooManySatisfiableMethodsException(Object component, Object[] types)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TooManySatisfiableMethodsException

    public TooManySatisfiableMethodsException(Object component,
                                              Object[] types)

### TooManySatisfiableMethodsException

    public TooManySatisfiableMethodsException(Object component,
                                              Class returnType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.